summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--git-fetch-email.sh23
1 files changed, 10 insertions, 13 deletions
diff --git a/git-fetch-email.sh b/git-fetch-email.sh
index 704651b..80b3bb7 100644
--- a/git-fetch-email.sh
+++ b/git-fetch-email.sh
@@ -26,22 +26,19 @@ from=$(git config fetchemail.from)
 to=$(git config fetchemail.to)
 cc=$(git config fetchemail.cc)
 
-args=$(getopt 'C:F:S:T:h:m:p:' $*)
-[ $? -ne 0 ] && exit 1
-set -- $args
-for opt; do
-	shift;
+while getopts 'C:F:S:T:h:m:p:' opt; do
 	case "$opt" in
-		(-C) cc=$1; shift;;
-		(-F) from=$1; shift;;
-		(-S) subject=$1; shift;;
-		(-T) to=$1; shift;;
-		(-h) host=$1; shift;;
-		(-m) mailbox=$1; shift;;
-		(-p) port=$1; shift;;
-		(--) break;;
+		(C) cc=$OPTARG;;
+		(F) from=$OPTARG;;
+		(S) subject=$OPTARG;;
+		(T) to=$OPTARG;;
+		(h) host=$OPTARG;;
+		(m) mailbox=$OPTARG;;
+		(p) port=$OPTARG;;
+		(?) exit 1;;
 	esac
 done
+shift $(($OPTIND - 1))
 [ $# -ne 0 ] && user=$1
 if [ -z "${user:-}" ]; then
 	echo "$0: username required"
colspan='3' class='logmsg'> 2019-02-20Use $PWD in html.sh to pass absolute path to manJune McEnroe 2019-02-20Factor out html.sh and produce html for all sourcesJune McEnroe Except for gfx-cocoa because I don't have an Objective-C highlighter. Also hypothetically the .h rule could match up headers with .3 manual pages if I cared to write them. 2019-02-20Add Dirk Gently's Holistic Detective AgencyJune McEnroe 2019-02-20Move /opt/pkg after /usr in PATHJune McEnroe Installing mandoc from pkgsrc also installs a man executable which is horribly broken. Keep using the system man. 2019-02-20Set man_hard_wrap in nvimJune McEnroe Vendoring man.vim until <https://github.com/neovim/neovim/pull/9633> is merged and appears in a release. 2019-02-18Use hi -o anchor in upJune McEnroe 2019-02-18Don't match nested parentheses in Tag for CJune McEnroe Fixes mistaken highlight of: pngWrite(file, (uint8_t []) { 0, 0, 0 }, 3); 2019-02-18Match whitespace between * [] {}June McEnroe 2019-02-18Fix function-like #define regexJune McEnroe A define like #define FOO (1) is not function-like. 2019-02-18Match Tag in RustJune McEnroe 2019-02-18Match sh functions as TagJune McEnroe 2019-02-18Match Sh and Ss as Tag in mdocJune McEnroe 2019-02-18Match statics and typedefs as TagJune McEnroe 2019-02-18Clean up htmlHeaderJune McEnroe 2019-02-18Remove hi line numberingJune McEnroe Tags are much better for referring to specific parts of a file and line numbering is better done by a post-processing tool such as cat -n or producing a two-column HTML <table>. 2019-02-18Add Tag class to hiJune McEnroe 2019-02-17Generate HTML with hi -n -f html -o anchorJune McEnroe Running hi twice to insert stuff between the head and the content is a bit of a hack but oh well. 2019-02-17Add hi -f html -o anchor for line number linksJune McEnroe 2019-02-17Simplify temp trap in upJune McEnroe 2019-02-17Add line numbers to hiJune McEnroe Renames previous -n option to -m to stay consistent with cat -n. Prefixing lines with line numbers affects where the first tab indent ends up relative to the text above it. Not sure if it's worth fixing somehow. 2019-02-17Always split spans after newlinesJune McEnroe Simplifies ANSI and IRC output code, and prepares for line numbered output. 2019-02-15Color format specifiers light cyan in vimJune McEnroe 2019-02-15Highlight Interp as yellowJune McEnroe 2019-02-15Highlight strings in sh command substitutionsJune McEnroe 2019-02-15Add nmap gpJune McEnroe 2019-02-14Avoid newline when copying URL to pasteboardJune McEnroe 2019-02-13Add forgotten "sixth" book of H2G2June McEnroe